
apiVersion: v1
kind: Namespace
metadata:
  labels:
    app.kubernetes.io/instance: strimzi
    istio-injection: enabled
  name: couchbase-operator
---
apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: HelmRepository
metadata:
  name: couchbase-operator
  namespace: flux-system
spec:
  url: https://couchbase-partners.github.io/helm-charts/
  interval: 11m
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: couchbase-operator
  namespace: couchbase-operator
spec:
  interval: 5m
  chart:
    spec:
      chart: couchbase-operator
      sourceRef:
        kind: HelmRepository
        name: helm-charts
        namespace: flux-system
      interval: 1m
  values:
    nodeSelector:
      lifecycle: Ec2Spot
    install:
      couchbaseCluster: false